Safari showing "Blocked Plug-in"

If you are using Safari to complete or view a video interview, you may have to do a quick update of your Adobe Flash Player. For security reasons Apple has decided that all Safari users should be using the latest Flash Player version. You can read more about it in this Computerworld article

If you have not got the correct version of the Flash Player you may see a screen like the one below:

 

Screen_Shot_2013-03-20_at_13.43.10.png

 

 

All you need to do is to click on the text "Blocked Plug-in" and a pop-up window like the one below appears:

 

Screen_Shot_2013-03-20_at_13.45.08.png

 

In order to use Adobe Flash you need to update to a later version:

  1. Click the Download Flash button.
  2. Safari opens Adobe Flash Player installer page on the Adobe website.
  3. Click the Download now button on the Adobe website to download the latest Adobe Flash Player installer.
  4. After the download completes, open the downloaded disk image (usually located in your Downloads folder) if it does not open automatically.
  5. In the window that appears, open the installer and follow the onscreen instructions.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request